Skip to main content
GET
List network policies.

Network policy concepts

Review how rules are evaluated, how tokens are bound, and how to debug denied requests.
Model paging by specifying start_after as the last slug that was returned.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your access token.

Query Parameters

prefix
string
default:""

Filter to policies whose slugs begin with this prefix.

start_after
string
default:""

Filter to policies whose slugs lexicographically start after this string.

limit
integer
default:1000

Number of results, up to a maximum of 1000.

Required range: 0 <= x <= 1000

Response

has_more
boolean
required

Indicates that there are more network policies that match the criteria.

network_policies
object[]
required

Matching network policies.

Maximum array length: 1000